Repository 32bit  Forum
Repository 64bit  Wiki

wxPython su slackware 14

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

wxPython su slackware 14

Messaggioda guybrush.d » gio ott 11, 2012 0:20

Ciao,
ok sto ripristinando i miei "vecchi" pacchetti su questa nuova versione, per
non incasinare sto compilando tutto da slackbuild così da "sporcare" il meno
possibile, ora però mi trovo davanti a un muro, mi piace fare qualche partitella
usando Playonlinux, la cosa che manca sempre sono i wxWidgets e wxPython così
ho compilato il tutto ed installato ma credo ci sia un conflitto tra python 2.6 e python 2.7,
il messaggio è :

Codice: Seleziona tutto
ImportError: /usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_misc_.so: symbol _ZN7wxSound6CreateEiPKh, version WXU_2.8 not defined in file libwx_gtk2u_adv-2.8.so.0 with link time reference


ho provato anche a caricare i vecchi pacchetti della 13.37 ma ho scoperto che nei tgz i moduli vengono,
caricati in /usr/lib/python2.6 per cui non sono validi per il 2.7 ed anche spostandoli a mano, dopo non
trova le librerie di python 2.6 a cui fanno riferimento per cui nada! :(
Qualcuno sa dove trovare una versione compaitibile di wxWidget,wxPython e wxGtk? Grazie
Avatar utente
guybrush.d
Linux 2.0
Linux 2.0
 
Messaggi: 155
Iscritto il: lun apr 26, 2010 23:04
Località: Varie
Nome Cognome: Diego
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: Xfce 4.10

Re: wxPython su slackware 14

Messaggioda Loris » gio ott 11, 2012 7:40

Installa il pacchetto che trovi nel repo della 14.0 caricato giusto questa notte.
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7583
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: wxPython su slackware 14

Messaggioda guybrush.d » gio ott 11, 2012 14:20

Grazie Loris,
ho fatto prima ieri notte ho downgradato alla 13.37 ed stamane o aggiornato xfce alla 4.10, aspetto
che passi un pò perchè si rinfoltiscano i repository e poi farò l'upgrade!
Ciao e grazie, se volete potete chiudere.
Avatar utente
guybrush.d
Linux 2.0
Linux 2.0
 
Messaggi: 155
Iscritto il: lun apr 26, 2010 23:04
Località: Varie
Nome Cognome: Diego
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: Xfce 4.10


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti